Quassel IRC - Feature #1897

Port to QT6
12/05/2024 04:46 PM - Moody

Status: Assigned Start date: 12/05/2024
Priority: High Due date:

Assignee: Sputnick % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 1.0.0

0S: Any

Description

QTS5 (the basis of current quassel) will go out of maintenance and the successor QT6 is already there for a good while.
To have quassel alive in the future, a port to QT6 will be required as distros might drop QT5 and therefore Quassel, too.

There is a compatibility library (https:/download.qgt.io/archive/qt/6.8/6.8.1/submodules/gtScompat-everywhere-src-6.8.1.tar.xz) which
might help getting Quassel go on QT6.

History

#1 - 04/02/2025 08:59 AM - Sputnick

- Assignee set to Sputnick

| plan to do this within the next few months. Need to find the time for it, but I'm slowly gearing up to work on this.

#2 - 04/16/2025 10:43 AM - Moody

thats great news. If i can be of any help for that case, tell me. (see us on #quassel and/or #quassel.de)

#3 - 05/31/2025 02:24 PM - johu

In preparation for the Qt6 migration | have dropped the legacy webkit support.
https://github.com/quassel/quassel/pull/624

#4 - 07/05/2025 03:29 PM - Sputnick

- Status changed from New to Assigned

#5 - 07/05/2025 03:31 PM - Sputnick

- Target version changed from Some future release to 1.0.0

#6 - 07/08/2025 08:24 AM - Mary319Horne

Quassel's continued existence relies on a port to Qt6. Since Qt5, its current framework, is reaching end-of-maintenance and distributions will soon
drop support, Quassel needs to migrate to Qt6 to remain compatible with modern operating systems and ensure its future viability.
https://www.yourtexasbenefitse.com
